<template>
  <q-page class="bg-secondary row justify-center items-center">
    <div class="column">
      <div class="row bg-primary">
        <h5 class="text-h5 text-white q-ma-md">XBRL Toolkit</h5>
      </div>
      <div class="row bg-warning" v-if="this.$store.state.user.error">
        <h6 class="text-h6 text-black q-ma-md">{{ this.$store.state.user.detail }}</h6>
      </div>
      <div class="row">
        <q-card square bordered class="q-pa-lg shadow-1">
          <q-form class="q-gutter-md" v-on:submit.prevent="onSubmit()" name="form" method="POST"
                  action="/api/admin/login/token">
            <q-card-section>
              <q-input class="q-ma-sm" square filled v-model="username" type="text" label="Gebruikersnaam"
                       name="username" autofocus />
              <q-input class="q-ma-sm" square filled v-model="password" type="password" label="Wachtwoord"
                       name="password"/>
            </q-card-section>
            <q-card-actions class="q-px-md">
              <q-btn unelevated color="primary" size="lg" class="full-width" label="Login" type="submit"/>
            </q-card-actions>
          </q-form>
        </q-card>
      </div>
    </div>
  </q-page>
</template>

<script>
import {useStore} from 'vuex'

export default {
  name: 'LoginForm',
  data() {
    return {
      username: '',
      password: '',
      logged_in: false
    }
  },
  methods: {
    onSubmit(evt) {
      let credentials = new FormData()
      credentials.append("username", this.username)
      credentials.append("password", this.password)
      credentials.append('grant_ype', 'password')
      this.logged_in = this.$store.dispatch('user/DoLogin', credentials)
    }
  }
}
</script>

<style scoped>
.q-card {
  width: 360px;
}
</style>
